#=========================================================================================================================
#                                             Alternative NPC Settings
#=========================================================================================================================
# Purpose:
#	This properties file is solely for the purpose of NPC modifications that directly influence them.
# 
# Note: 
#	The defaults are set to retail, if you modify any of these settings your server will NOT be "retail-like".
# 
# Warning: 
#	Please take extreme caution when changing anything. Also please understand what you change before you do so on
# 	a live server.
#=========================================================================================================================

#============================================================#
#                          General                           #
#============================================================#

# This option is to to enable or disable an announcement to players
# with the location of the Mammon NPC's during Seal Validation.
# To enable this option set to true, to disable set to false.
# Retail: false
AnnounceMammonSpawn = False

# If this option is enabled Mobs will be able to go aggressive on 
# a player in a peace zone, if set to false, Mobs will not attack
# a player in a peace zone.  
# Retail: true
AltMobAgroInPeaceZone = True

AltGameViewNpc = False

# Maximum range mobs can randomly go from spawn point.
# Retail: 200
MaxDriftRange = 200

# If True, the following deep blue mobs' drop penalties will be applied:
# - When player's level is 9 times greater than mob's level, drops got divided by 3
# - After 9 lvl's of difference between player and deep blue mobs, drop chance is
# lowered by 9% each lvl that difference increases. (9lvls diff = -9%; 10lvls diff = -18%; ...)
# NOTE1:
#		These rules are applied to both normal and sweep drops
# NOTE2:
#		These rules ignores the server's rate when drop is of Adena type (Complies with retail server)
# Retail: true
UseDeepBlueDropRules = True

#============================================================#
#                          Monster                           #
#============================================================#

# Show L2Monster level and aggressive state.
# In game if this is enabled the mob's title will show as:
# Lv(MobLeveL) if not aggressive, and Lv(MobLevel)* if aggressive
# Retail: false 
ShowNpcLevel = False

#============================================================#
#                          Guard                             #
#============================================================#

# This if set to true will allow Guards to attack aggressive
# mobs within range.
# Retail: false.
GuardAttackAggroMob = false

#============================================================#
#                          Pet                               #
#============================================================#

#This option enables or disables the Wyvern manager located in every castle
# to train Wyverns and Striders from Hatchlings.
# To enable this option set it to true, and to disable set it to false.
# Retail: false
AllowWyvernUpgrader = False

# List of pet rent (Wyvern,strider)
# Example:
#		30827, 32471, 34486, 36547
# Retail: 30827
ListPetRentNpc = 30827

# Pet movement speed.
# Player Speed + Pet Movement speed = New Player Speed
# Note:
#		Fast player speeds can cause graphic lag which can be 
#		mistaken for server lag.
# Retail: 100, 80
WyvernSpeed = 100
StriderSpeed = 80
GreatWolfSpeed = 80

#============================================================#
#                         Boss                               #
#============================================================#

# HP/MP % regeneration for RaidBoss and their minions.
# Example: 
#		10 for HP will regenerate 90% slower then normal.
# Retail: 100, 100
RaidHpRegenMultiplier = 100
RaidMpRegenMultiplier = 100

# % P/M defense for RaidBoss and their minions.
# Example: 
#		10 for PDefense will cause PDefense to be 90% less 
#		then normal.
# Retail:  100, 100
RaidPDefenceMultiplier = 100
RaidMDefenceMultiplier = 100

# Configure Minimum and Maximum time multiplier between raid boss re-spawn.
# By default 12Hours*1.0 for Minimum Time and 24Hours*1.0 for Maximum Time.
# Example:
#		Setting RaidMaxRespawnMultiplier to 2 will make the time between
#		re-spawn 24 hours to 48 hours.
# Retail: 1.0, 1.0
RaidMinRespawnMultiplier = 1.0
RaidMaxRespawnMultiplier = 1.0

# Configure the interval at which boss minions will re-spawn.
# This time is in milliseconds, 1 minute is 60000 milliseconds.
# Retail: 300000
RaidMinionRespawnTime = 300000